aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO9
-rw-r--r--PKGBUILD17
2 files changed, 13 insertions, 13 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 9830e3d..83d7a4c 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
pkgbase = iced-builder-git
pkgdesc = UI builder for iced, built with iced.
- pkgver = 0.1.0.r201.g4881939
- pkgrel = 1
- url = https://github.com/pml68/iced-builder
+ pkgver = r212.a17a972
+ pkgrel = 2
+ url = https://git.sr.ht/~pml68/iced-builder
arch = x86_64
license = GPL-3.0-or-later
makedepends = git
@@ -10,13 +10,12 @@ pkgbase = iced-builder-git
depends = gcc-libs
depends = glibc
depends = openssl
- optdepends = rustfmt: better code formatting
provides = iced-builder
conflicts = iced-builder
options = !lto
options = !strip
options = !debug
- source = iced-builder::git+https://github.com/pml68/iced-builder.git
+ source = iced-builder::git+https://git.sr.ht/~pml68/iced-builder
sha256sums = SKIP
pkgname = iced-builder-git
diff --git a/PKGBUILD b/PKGBUILD
index a085f25..3ffd4be 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,11 +3,11 @@
_pkgname=iced-builder
pkgname=$_pkgname-git
-pkgver=0.1.0.r201.g4881939
-pkgrel=1
+pkgver=r212.a17a972
+pkgrel=2
pkgdesc='UI builder for iced, built with iced.'
arch=(x86_64)
-url='https://github.com/pml68/iced-builder'
+url='https://git.sr.ht/~pml68/iced-builder'
license=('GPL-3.0-or-later')
depends=(
gcc-libs
@@ -21,7 +21,7 @@ makedepends=(
options=('!lto' '!strip' '!debug')
provides=("$_pkgname")
conflicts=("$_pkgname")
-source=("$_pkgname::git+${url}.git")
+source=("$_pkgname::git+${url}")
sha256sums=('SKIP')
prepare() {
@@ -33,10 +33,11 @@ prepare() {
pkgver() {
cd "${_pkgname}"
- printf "%s.r%s.g%s" \
- "$(cargo pkgid | cut -d@ -f2)" \
- "$(git rev-list --count HEAD)" \
- "$(git rev-parse --short HEAD)"
+ (
+ set -o pipefail
+ git describe --long --abbrev=7 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short=7 HEAD)"
+ )
}
build() {